[openssl-commits] [openssl] OpenSSL_1_0_1-stable update
Dr. Stephen Henson
steve at openssl.org
Mon Jun 29 18:22:45 UTC 2015
The branch OpenSSL_1_0_1-stable has been updated
via eb0e2a5c5d904c3f74a9387d27bfbad4861469a9 (commit)
from 0d25eb7800cbb2e845b4f38e3c78df437d68ad7c (commit)
- Log -----------------------------------------------------------------
commit eb0e2a5c5d904c3f74a9387d27bfbad4861469a9
Author: Dr. Stephen Henson <steve at openssl.org>
Date: Thu Jun 25 15:07:25 2015 +0100
Check for errors with SRP
Reviewed-by: Matt Caswell <matt at openssl.org>
(cherry picked from commit 5fced2395ddfb603a50fd1bd87411e603a59dc6f)
-----------------------------------------------------------------------
Summary of changes:
test/testssl | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/test/testssl b/test/testssl
index d5b1c9a..261097b 100644
--- a/test/testssl
+++ b/test/testssl
@@ -198,16 +198,16 @@ if ../util/shlib_wrap.sh ../apps/openssl no-srp; then
echo skipping SRP tests
else
echo test tls1 with SRP
- $ssltest -tls1 -cipher SRP -srpuser test -srppass abc123
+ $ssltest -tls1 -cipher SRP -srpuser test -srppass abc123 || exit 1
echo test tls1 with SRP via BIO pair
- $ssltest -bio_pair -tls1 -cipher SRP -srpuser test -srppass abc123
+ $ssltest -bio_pair -tls1 -cipher SRP -srpuser test -srppass abc123 || exit 1
echo test tls1 with SRP auth
- $ssltest -tls1 -cipher aSRP -srpuser test -srppass abc123
+ $ssltest -tls1 -cipher aSRP -srpuser test -srppass abc123 || exit 1
echo test tls1 with SRP auth via BIO pair
- $ssltest -bio_pair -tls1 -cipher aSRP -srpuser test -srppass abc123
+ $ssltest -bio_pair -tls1 -cipher aSRP -srpuser test -srppass abc123 || exit 1
fi
exit 0
More information about the openssl-commits
mailing list